.homepage-container {
    width: 100%;
    height: 100dvh;
    display: grid;
    gap: 10px;
    grid-template-columns: 264px auto 264px;
    background-color: var(--bg-peach-cream);
}

.homepage-container .paws-bg-container {
    height: 100%;
}
.homepage-container .paws-bg-left-container {
    background-image: url("../images/bg-paws-left.png");
}

.homepage-container .paws-bg-right-container {
    background-image: url("../images/bg-paws-right.png");
}


.homepage-container .middle-grid-container {
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.homepage-container .middle-grid-container .center-grid-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1;
}

.homepage-container .middle-grid-container .bottom-center-grid-container {
    display: flex;
    margin-bottom: 50px;
    justify-content: center;
}

.homepage-container .middle-grid-container .bottom-center-grid-container .contact-info {
    display: grid;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 28px;
    grid-template-columns: auto auto auto;
}

.homepage-container .middle-grid-container .bottom-center-grid-container .contact-info a {
    color: var(--text-grey-25);
    text-decoration: none;
    font-size: 15px;
}

.homepage-container .middle-grid-container .center-grid-container .category-grid-selection {

}

.category-grid-selection .top-container {
    display: block;
    width: 100%;
    text-align: center;
    margin-bottom: -6%;
}

.category-grid-selection .top-container img {
    max-width: 300px;
    width: 28%;
}

.category-grid-selection .bottom-container {
    display: block;
    width: 100%;
    text-align: center;
    margin-top: -2%;
}
.category-grid-selection .bottom-container img {
    max-width: 470px;
    width: 40%;
}

.category-grid-selection .middle-container .category-selection {
    display: grid;
    gap: 5px;
    grid-template-columns: repeat(2, 1fr);
}

.category-grid-selection .middle-container .category-selection .left-side-container, .category-grid-selection .middle-container .category-selection .right-side-container {
    display: grid;
    align-items: center;
    grid-template-columns: repeat(2, 1fr);
}

.category-grid-selection .middle-container .category-selection .left-side-container .image-holder {
    display: grid;
    align-items: center;
    justify-content: end;
}

.category-grid-selection .middle-container .category-selection .right-side-container .image-holder {
    background-repeat: no-repeat;
    display: grid;
    align-items: center;
    justify-content: start;
}

.category-grid-selection .middle-container .category-selection .half-img {
    width: 100%;

}

/*.category-grid-selection .middle-container .category-selection .left-side-container:hover .half-img {
    opacity: 0.25;
}

.category-grid-selection .middle-container .category-selection .right-side-container:hover .half-img {
    opacity: 0.25;
}*/

.half-img {
    transition: opacity 0.3s ease;
}

/* Hover LEFT → fade RIGHT */
.category-selection .left-side-container:hover ~ .right-side-container .half-img {
    opacity: 0.25;
}

/* Hover RIGHT → fade LEFT (using :has) */
.category-selection:has(.right-side-container:hover)
.left-side-container .half-img {
    opacity: 0.25;
}

.button-group a {
    display: inline-block;
}

.button-image-group {
    display: grid;
    align-items: center;
    grid-template-columns: auto 56px;
}

.button-image-group .label-txt {
    padding: 18px 32px;
    font-size: 16px;
    text-decoration: none;
    color: var(--text-white);
    border-radius: 35px;
    background-color: var(--accent-black);
    border: solid 4px var(--accent-black);
}

.button-image-group .icon-holder {
    width: 56px;
    height: 56px;
    margin-left: -12px;
    border-radius: 100%;
    border: solid 4px var(--accent-black);
    background-color: var(--accent-golden-yellow);
    display: grid;
    align-items: center;
    justify-content: center;
}

.button-image-group .icon-holder img {
    width: 24px;
}

.button-image-group .active-on-hover {
    display: none;
}

.button-image-group:hover .hidden-on-hover {
    display: none;
}

.button-image-group:hover .active-on-hover {
    display: grid;
    transform: rotate(-45deg);
}

.button-image-group:hover .icon-holder{
    background-color: var(--accent-olive-green);
}

.pull-right {
    float: right;
}

.homepage-container .mobile-navigation {
    display: none;
}

.homepage-container .mobile-navigation .pull-right{
    float: none;
}

@media (max-width: 1380px) {
    .homepage-container {
        grid-template-columns: 200px auto 200px;
    }
    .homepage-container .paws-bg-right-container {
        background-position: right;
    }
}


@media (max-width: 1250px) {
    .homepage-container {
        position: relative;
        display: grid;
        grid-template-columns: 1fr auto 1fr;  /* center the middle */
        width: 100%;
    }

    .middle-grid-container {
        position: absolute;
        min-width: 850px;
        left: 50%;
        z-index: 2;
        transform: translateX(-50%);
    }

    /* backgrounds */
    .paws-bg-container {
        position: absolute;
        top: 0;
        bottom: 0;
        width: 260px;
        pointer-events: none;
        background-repeat: no-repeat;
        background-size: contain;
        z-index: 1;
    }

    .paws-bg-left-container { left: 0; background-position: left center; }
    .paws-bg-right-container { right: 0; background-position: right center; }
}

@media (max-width: 880px) {

    .middle-container .category-selection .button-group {
        display: none;
    }

    .category-grid-selection .middle-container .category-selection .left-side-container{
        gap: 0;
        grid-template-columns: auto;
    }

    .category-grid-selection .middle-container .category-selection .right-side-container{
        gap: 0;
        grid-template-columns: auto;
    }

    .category-grid-selection .top-container img {
        width: 58%;
    }

    .category-grid-selection .top-container {
        margin-bottom: -12%;
    }

    .category-grid-selection .bottom-container img {
        width: 80%;
    }

    .category-grid-selection .bottom-container {
        margin-top: -3%;
    }

    .homepage-container .mobile-navigation {
        margin-top: 20px;
        margin-bottom: 20px;
        display: grid;
        gap: 20px;
        align-items: center;
        justify-content: center;
    }

    .middle-grid-container {
        width: 80%;
        padding-left: 10%;
        padding-right: 10%;
        min-width: auto;
    }
}

@media (max-width: 750px) {

    .homepage-container .middle-grid-container .bottom-center-grid-container .contact-info {
        gap: 5px;
        grid-template-columns: auto;
    }

    .button-image-group .label-txt {
        padding: 18px 32px;
        font-size: 16px;
        text-decoration: none;
        color: var(--text-white);
        border-radius: 35px;
        background-color: var(--accent-black);
        border: solid 4px var(--accent-black);
    }

    .button-image-group .icon-holder {
        width: 56px;
        height: 56px;
        margin-left: -12px;
        border-radius: 100%;
        border: solid 4px var(--accent-black);
        background-color: var(--accent-golden-yellow);
        display: grid;
        align-items: center;
        justify-content: center;
    }
}

@media (max-width: 450px) {
    .homepage-container  .homepage-container .middle-grid-container .bottom-center-grid-container {
        margin-top: 20px;
    }

    .homepage-container  .middle-grid-container {
        width: 60%;
        padding-left: 20%;
        padding-right: 20%;
        min-width: auto;
    }

    .homepage-container .top-container {
        margin-top: 20px;
    }
}



